# Class TelemetryPushClient

java.lang.Object
com.databricks.jdbc.telemetry.TelemetryPushClient

public class TelemetryPushClient extends Object

## Constructor Summary

Constructors
Constructor
Description
`TelemetryPushClient(boolean isAuthenticated, IDatabricksConnectionContext connectionContext, com.databricks.sdk.core.DatabricksConfig databricksConfig)`

## Method Summary

Modifier and Type
Method
Description
`void`
`pushEvent(TelemetryRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TelemetryPushClient

public TelemetryPushClient(boolean isAuthenticated, IDatabricksConnectionContext connectionContext, com.databricks.sdk.core.DatabricksConfig databricksConfig)

## Method Details

### pushEvent

public void pushEvent(TelemetryRequest request) throws Exception

Throws:
  `Exception`